Subject: RE: Author Incentives - Re: [Sipping] Re: [Sip] Thoughts on thePrincipleofDividingandConquering

From: "Even, Roni" <[email-masked]>
Date: Wed, 1 Mar 2006 20:01:32 +0200

Cullen,
Another option is to use the IETF meeting time to be able to go twice
over the document. The first time will be used for presenting open
issue, have a short discussion and let the authors with interested
parties to meet off-line fix text and present it at the end. I think
this was done already with some critical work. 
Roni Even

-----Original Message-----
From: Cullen Jennings [mailto:[email-masked]] 
Sent: Wednesday, March 01, 2006 7:31 PM
To: sipping
Cc: Jon Peterson; Allison Mankin
Subject: Author Incentives - Re: [Sipping] Re: [Sip] Thoughts on
thePrincipleofDividingandConquering

These comments sure ring true to me. I leave every IETF with good
intentions
of not waiting till the next deadline to rev my drafts but then I don't.
I
have heard a few ideas come up:

1) Stuff Jonathan mentions below

2) Regular conference calls. The webdav group just did several months of
3
hour conference calls twice a week (yes 6 hours a week total). It was
painful but got the draft to WGLC.

3) Interim meetings.

4) Chair hounding authors

5) A fast track that was an agreement of the authors to submit more
often
and the WG to review when they submit.

Clearly we could use any combination of these. Others I am missing? Do
we
have some drafts that folks feel could benefit from one of the above?

On 2/27/06 6:09 PM, "Jonathan Rosenberg" <[email-masked]> wrote:

> 
> 
> Dan Wing wrote:
> 
>> The motivation for finishing I-Ds before the WG meeting is the
>> I-D cutoff date and the pressure to have made progress since the
>> last meeting.
> 
> Actually, I think the motivation really comes down to one thing:
shame.
> The IETF meeting is where everyone meets and drafts that made progress
> get discussed and talked about. If you didnt revise your draft because
> you didn't get around to it, its embarassing. I know :)
> 
> Another aspect of this is the meeting blackout period. Because of it,
if
> you don't update your draft NOW, you'll have to wait another three
weeks
> to do so.
> 
> 
> 
>>  What you're describing is another way to create
>> pressure.  I agree that will help accelerate things.  We might
>> be best served by accelerating the important things -- a 'fast
>> track', if you will.  This would require editors to submit
>> documents 'between' the normal cutoff dates (IETF meetings)
>> and require substantive review and comments from the community.
> 
> There are two ways to create pressure- carrots and sticks.
> 
> The IETF draft deadlines are sticks, I think.
> 
> To find more sticks and carrots you need to look at what incents
people.
> I think all of the following are real incentives:
> 
> 1. people are incented to get RFCs published with their names as
> authors; it brings recognition to their peers and the industry.
> 
> 2. people are incented to get RFCs published that benefit their
day-job,
> because their day job requires problem X to be solved soon. The carrot
> here is the the day job = $$.
> 
> 3. people are incented to submit new drafts and work on new drafts
> because everyone likes working on the new cool stuff, rather than the
> tired-of-it stuff that is 90% complete, where the work is just getting
> that MUST/SHOULD correct.
> 
> 
> I'm sure there are others. Given those incentives, you need to tie
them
> into making forward progress on our work in genreal.
> 
> One idea, for example, is to tie draft acceptance to reviews. Lets say
I
> write draft X and I want it adopted by the WG. I can't get my draft
> accepted by the WG as a new item, until I commit to reviews and
> assistance in solving open issues for another draft that is already a
WG
> item. Only once it is approved by IESG to I get to have my draft
added.
> This is a carrot incentive.
> 
> A related one, is that if a draft author does not complete a set of
> assigned reviews in time, or does not produce a revision of the spec
on
> an agreed-upon timetable, they are removed as author. This is a stick
> version of the same incentive.
> 
> No doubt there are others.
> 
> I personally think most of our problems are NOT with iesg or with WG
> chairs, but with the authors/editors and community. I know that I
myself
> am not quick enough in turning around drafts, and that every time, I
> fall into the same trap of getting the updates done just before the
> deadline. And then, after IETF, I promise myself it won't happen
again,
> and then day-job work that I put off comes up, and the previous IETF
> fades away, and each and every day there is always something more
> pressing to do than to update or work on an I-D that isn't really
"due"
> until the next deadline....
> 
> 
> -Jonathan R.
> 

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

_______________________________________________
Sipping mailing list  https://www1.ietf.org/mailman/listinfo/sipping
This list is for NEW development of the application of SIP
Use [email-masked] for questions on current sip
Use [email-masked] for new developments of core SIP

---

From: "James M. Polk" <[email-masked]>
Date: Wed, 01 Mar 2006 14:57:21 -0600

Roni

I agree with Mary, and want to add to why.

Reviewing an ID twice during the IETF meetings means we review half the 
material.  Some groups may benefit from this, while SIP/PING has not ever 
had a lack of material to review, so I do not believe this can work, unless 
the ADs want to give SIP/PING almost twice the timeslots.

We just did have an ECRIT interim, and it was very successful. Part of this 
was because the scope of ECRIT is far smaller than SIP/PING.  But it cannot 
be denied that high bandwidth interaction over many hours can cause progress.

Working on a main doc once the first day, then reviewing the proposed 
changes the second day was an excellent move to make sure proposed changes 
didn't fall apart just after they were reviewed, yet without any time to 
address them.

Maybe SIP/PING/SIMPLE/XCON ought to think about regularly scheduling 
interims between each meeting, giving this a regular pattern affords 
planning on everyone's parts.

This suggestion would make the interims "opt-out" based, instead of 
"opt-in" and we don't have one for 2 years.

just a thought